Skip to main content
GET
/
v1
/
benefit-grants
List Benefit Grants
curl --request GET \
  --url https://api.spairehq.com/v1/benefit-grants/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "is_granted": true,
      "is_revoked": true,
      "subscription_id": "<string>",
      "order_id": "<string>",
      "customer_id": "<string>",
      "benefit_id": "<string>",
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "external_id": "usr_1337",
        "email": "<string>",
        "email_verified": true,
        "name": "John Doe",
        "billing_address": {
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "tax_id": {
          "[0]": "<string>"
        },
        "organization_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "type": "individual"
      },
      "benefit": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "type": "<string>",
        "description": "<string>",
        "selectable": true,
        "deletable": true,
        "organization_id": "<string>",
        "metadata": {},
        "properties": {
          "note": "<string>"
        }
      },
      "properties": {
        "account_id": "<string>",
        "guild_id": "<string>",
        "role_id": "<string>",
        "granted_account_id": "<string>"
      },
      "granted_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "member_id": "<string>",
      "error": {
        "message": "<string>",
        "type": "<string>",
        "timestamp": "<string>"
      },
      "member": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "email": "<string>",
        "name": "Jane Doe",
        "external_id": "usr_1337"
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by customer external ID. The customer external ID.

is_granted
boolean | null

Filter by granted status. If true, only granted benefits will be returned. If false, only revoked benefits will be returned.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
granted_at,
-granted_at,
revoked_at,
-revoked_at

Response

Successful Response

items
BenefitGrant · object[]
required
pagination
Pagination · object
required